Notifly
API ReferenceLayouts

Update a layout

Updates the details of an existing layout, here **layoutId** is the identifier of the layout

PUT
/v2/layouts/{layoutId}

Updates the details of an existing layout, here layoutId is the identifier of the layout

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Path Parameters

layoutId*string

Request Body

application/json

Layout update details

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v2/layouts/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "data": {    "_id": "string",    "layoutId": "string",    "slug": "string",    "name": "string",    "isDefault": true,    "isTranslationEnabled": true,    "updatedAt": "string",    "updatedBy": {      "_id": "string",      "firstName": "string",      "lastName": "string",      "externalId": "string"    },    "createdAt": "string",    "origin": "novu-cloud",    "type": "REGULAR",    "variables": {},    "controls": {      "dataSchema": {},      "uiSchema": {        "group": "IN_APP",        "properties": {          "property1": {            "placeholder": "string",            "component": "EMAIL_EDITOR_SELECT",            "properties": {              "property1": {},              "property2": {}            }          },          "property2": {            "placeholder": "string",            "component": "EMAIL_EDITOR_SELECT",            "properties": {              "property1": {},              "property2": {}            }          }        }      },      "values": {        "email": {          "body": "string",          "editorType": "html"        }      }    }  }}